usb-modeswitch 1.1.4 doesn't switch any device

Bug #625110 reported by dart on 2010-08-27
44
This bug affects 4 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
High
Martin Pitt
Nominated for Lucid by Jonathan Davies
Maverick
High
Martin Pitt

Bug Description

Binary package hint: usb-modeswitch

After a update to usbmodeswitch yesterday in Maverick my Huawei ec1261 just stpopped working. The system won't detect the data card. Everything was working fine before the update. Here is what happens when the data card is plugged:

1. When data card is plugged, a new mass storage device is shown for a flash of second and then it just disappears.

2. No option of selecting data card as a connection in network applet. It was properly configured and was working perfectly before the update. Edit Connection information shows the configuration profile.

3. Though no mounted drive appears in nautilus, the disk utility in system>administration> preferences shows a Huawei mass storage drive under peripheral devices.

4. Tried eject and safely remove from disk utility and then plugged again, still the same problem.

5. Tried to downgrade to earlier usbmodeswitch packages but the system won't let me.

This is really annoying to me as I use the data card as main source for internet connectivity and this problem had made me nearly handicapped.

dart (dart-v85) on 2010-08-27
summary: - Huawei EC1261 not working after update to usb_modeswitch
+ Huawei EC1261 not working after update to usb-modeswitch

I somehow solved this by downgrading the usb-modeswitch package to a earlier version :1.1.0-2 and usb-modeswitch-data to 20100127_1.

I downloaded .deb files for these packages and tried gdebi. But the deb installer was broke and was giving errors: "dpkg: unable to read file descriptor"

So I used the command sudo dpkg -i <file.deb> and it worked. The problem still remains with the latest usb-modeswitch package.

Didier Raboud (odyx) wrote :

Hi dart,

Can you please install the usb-modeswitch and usb-modeswitch-data from maverick and
1) Activate the logging in /etc/usb_modeswitch.conf
2) Plug your device in
3) Post here the relevant /var/log/syslog lines and the /var/log/usb_modeswitch* file you will get after that.

I found the following in syslog as per your instructions:

[15175.872091] usb 5-1: new full speed USB device using uhci_hcd and address
16
[15176.035511] scsi25 : usb-storage 5-1:1.0
[15177.037256] scsi 25:0:0:0: CD-ROM HUAWEI Mass Storage
2.31 PQ: 0 ANSI: 0
[15177.067194] sr1: scsi-1 drive
[15177.067520] sr 25:0:0:0: Attached scsi CD-ROM sr1
[15177.067707] sr 25:0:0:0: Attached scsi generic sg2 type 5

But I can't find any var/log/usb_modeswitch* file. I already changed the
"enable log" value to 1 in /etc/usb_modeswitch.conf

On Fri, Aug 27, 2010 at 2:24 PM, Didier Raboud <email address hidden> wrote:

> Hi dart,
>
> Can you please install the usb-modeswitch and usb-modeswitch-data from
> maverick and
> 1) Activate the logging in /etc/usb_modeswitch.conf
> 2) Plug your device in
> 3) Post here the relevant /var/log/syslog lines and the
> /var/log/usb_modeswitch* file you will get after that.
>
> --
> Huawei EC1261 not working after update to usb-modeswitch
> https://bugs.launchpad.net/bugs/625110
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “usb-modeswitch” package in Ubuntu: New
>
> Bug description:
> Binary package hint: usb-modeswitch
>
> After a update to usbmodeswitch yesterday in Maverick my Huawei ec1261 just
> stpopped working. The system won't detect the data card. Everything was
> working fine before the update. Here is what happens when the data card is
> plugged:
>
> 1. When data card is plugged, a new mass storage device is shown for a
> flash of second and then it just disappears.
>
> 2. No option of selecting data card as a connection in network applet. It
> was properly configured and was working perfectly before the update. Edit
> Connection information shows the configuration profile.
>
> 3. Though no mounted drive appears in nautilus, the disk utility in
> system>administration> preferences shows a Huawei mass storage drive under
> peripheral devices.
>
> 4. Tried eject and safely remove from disk utility and then plugged again,
> still the same problem.
>
> 5. Tried to downgrade to earlier usbmodeswitch packages but the system
> won't let me.
>
> This is really annoying to me as I use the data card as main source for
> internet connectivity and this problem had made me nearly handicapped.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/usb-modeswitch/+bug/625110/+subscribe
>

Didier Raboud (odyx) wrote :

Hmm. What about
 $ lsusb
with the device plugged ?

dart (dart-v85) wrote :

I have already downgraded the packages. But earlier I tried lsusb. It did
show the device as Huawei modem. But there was no way to access the modem or
the mass storage by any means.

Though there was one strange thing. With the latest updates, it was showing
me wrong model number as Huawei 1550. With downgraded version it shows me
almost correct model: Huawei 1260. Don't know if this has anything to do
with the problem.

On Fri, Aug 27, 2010 at 4:45 PM, Didier Raboud <email address hidden> wrote:

> Hmm. What about
> $ lsusb
> with the device plugged ?
>
> --
> Huawei EC1261 not working after update to usb-modeswitch
> https://bugs.launchpad.net/bugs/625110
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “usb-modeswitch” package in Ubuntu: New
>
> Bug description:
> Binary package hint: usb-modeswitch
>
> After a update to usbmodeswitch yesterday in Maverick my Huawei ec1261 just
> stpopped working. The system won't detect the data card. Everything was
> working fine before the update. Here is what happens when the data card is
> plugged:
>
> 1. When data card is plugged, a new mass storage device is shown for a
> flash of second and then it just disappears.
>
> 2. No option of selecting data card as a connection in network applet. It
> was properly configured and was working perfectly before the update. Edit
> Connection information shows the configuration profile.
>
> 3. Though no mounted drive appears in nautilus, the disk utility in
> system>administration> preferences shows a Huawei mass storage drive under
> peripheral devices.
>
> 4. Tried eject and safely remove from disk utility and then plugged again,
> still the same problem.
>
> 5. Tried to downgrade to earlier usbmodeswitch packages but the system
> won't let me.
>
> This is really annoying to me as I use the data card as main source for
> internet connectivity and this problem had made me nearly handicapped.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/usb-modeswitch/+bug/625110/+subscribe
>

Didier Raboud (odyx) wrote :

You misunderstood me (or I badly explained): I need the xxxx:xxxx device
identifier in order to understand what happens…

Hence I need a lsusb run output. :-)

--
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
<email address hidden>

ok here you go:

Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 022: ID 12d1:1446 Huawei Technologies Co., Ltd. E1552 (HSPA modem)
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

> Bus 005 Device 022: ID 12d1:1446 Huawei Technologies Co., Ltd. E1552 (HSPA
> modem)

Okay. Then you have the 12d1:1446, which saw only minor changes within the usb-
modeswitch-data package history (only the TargetProductList got altered). I
guess that the problem is somewhere in usb-modeswitch.

So it should work with any version of usb-modeswitch-data, but you experience
"non-working" with usb-modeswitch 1.1.4 but "working" with 1.1.3 ?

--
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
<email address hidden>

                                                  Installed version Latest Version
usb-modeswitch-data 20100817-1~exp0 20100817-1~exp0
usb-modeswitch 1.1.3-1 1.1.4-1~exp0

Yes you are right that the problem is with usb-modeswitch. As soon as I upgrade to 1.1.4-1~exp0, the device stops working.

dart (dart-v85) wrote :

oops, bad formating...

Le vendredi 27 août 2010 15:49:40, vous avez écrit :
> Installed version
> Latest Version usb-modeswitch-data 20100817-1~exp0
> 20100817-1~exp0 usb-modeswitch 1.1.3-1
> 1.1.4-1~exp0
>
> Yes you are right that the problem is with usb-modeswitch. As soon as I
> upgrade to 1.1.4-1~exp0, the device stops working.

Okay. Hrm. With usb-modeswitch 1.1.4 installed, what are your:

$ dpkg -L usb-modeswitch
$ dpkg -l udev
$ grep '=' /etc/usb_modeswitch.conf
$ whereis tclsh
$ grep usb_modeswitch /var/log/syslog
$ grep usb_modeswitch /var/log/syslog
$ cat /var/log/usb_modeswitch_*

TIA !
--
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
<email address hidden>

Didier Raboud (odyx) on 2010-08-27
Changed in usb-modeswitch (Ubuntu):
status: New → Confirmed
assignee: nobody → Didier Raboud (odyx)
dart (dart-v85) wrote :
Download full text (4.1 KiB)

dpkg -L usb-modeswitch
.
/usr
/usr/sbin
/usr/sbin/usb_modeswitch
/usr/sbin/usb_modeswitch_dispatcher
/usr/share
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/usb_modeswitch.1.gz
/usr/share/doc
/usr/share/doc/usb-modeswitch
/usr/share/doc/usb-modeswitch/changelog.Debian.gz
/usr/share/doc/usb-modeswitch/README.Debian
/usr/share/doc/usb-modeswitch/copyright
/usr/share/doc/usb-modeswitch/NEWS.Debian.gz
/usr/share/doc/usb-modeswitch/README.gz
/usr/share/doc/usb-modeswitch/device_reference.txt.gz
/lib
/lib/udev
/lib/udev/usb_modeswitch
/etc
/etc/usb_modeswitch.conf

dpkg -l udev

Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii udev 161+git2010082 rule-based device node and kernel event
mana

grep '=' /etc/usb_modeswitch.conf

DisableSwitching=0
EnableLogging=0

whereis tclsh

tclsh: /usr/bin/tclsh8.4 /usr/bin/tclsh /usr/share/man/man1/tclsh.1.gz

grep usb_modeswitch /var/log/syslog

Aug 27 19:12:10 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 27 19:12:15 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 27 20:12:23 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 27 20:13:40 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 27 20:13:46 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)

cat /var/log/usb_modeswitch_*

at: /var/log/usb_modeswitch_*: No such file or directory

On Fri, Aug 27, 2010 at 8:23 PM, Didier Raboud <email address hidden> wrote:

> Le vendredi 27 août 2010 15:49:40, vous avez écrit :
> > Installed version
> > Latest Version usb-modeswitch-data 20100817-1~exp0
> > 20100817-1~exp0 usb-modeswitch 1.1.3-1
> > 1.1.4-1~exp0
> >
> > Yes you are right that the problem is with usb-modeswitch. As soon as I
> > upgrade to 1.1.4-1~exp0, the device stops working.
>
> Okay. Hrm. With usb-modeswitch 1.1.4 installed, what are your:
>
> $ dpkg -L usb-modeswitch
> $ dpkg -l udev
> $ grep '=' /etc/usb_modeswitch.conf
> $ whereis tclsh
> $ grep usb_modeswitch /var/log/syslog
> $ grep usb_modeswitch /var/log/syslog
> $ cat /var/log/usb_modeswitch_*
>
> TIA !
> --
> Didier Raboud, proud Debian Maintainer (DM).
> CH-1020 Renens
> <email address hidden>
>
> --
> Huawei EC1261 not working after update to usb-modeswitch
> https://bugs.launchpad.net/bugs/625110
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “usb-modeswitch” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: usb-modeswitch
>
> After a update to usbmodeswitch yesterday in Maverick my Huawei ec1261 just
> stpopped working. The system won't detect the data card. Everything was
> working fine before the update. Here is what happens wh...

Read more...

Okay. Could you please install usb-modeswitch 1.1.4-1~exp0+debug from my PPA ( https://launchpad.net/~odyx/+archive/usb-modeswitch/ ) and do the following:

1) change EnableLogging to 1 in /etc/usb_modeswitch.conf
2) Plug your device in.
3) Report back the following commands results:
 $ cat /var/log/usb_modeswitch_*
 $ grep usb_modeswitch /var/log/syslog

Now you should really have something... Thanks in advance !

Didier Raboud (odyx) on 2010-08-30
summary: - Huawei EC1261 not working after update to usb-modeswitch
+ usb-modeswitch 1.1.4 doesn't switch any device
Martin Pitt (pitti) wrote :

This is due to Ubuntu's udev not shipping /lib/udev/hotplug.functions. Other packages use that as well, so instead of trying to find all those, let's just ship this file in Ubuntu as well. Thanks Didier!

affects: usb-modeswitch (Ubuntu) → udev (Ubuntu)
Changed in udev (Ubuntu):
assignee: Didier Raboud (odyx) → Martin Pitt (pitti)
importance: Undecided → High
status: Confirmed → In Progress
Martin Pitt (pitti) on 2010-08-30
tags: added: regression-potential
Changed in udev (Ubuntu Maverick):
status: In Progress → Fix Committed
Download full text (5.9 KiB)

I installed the debug package.

Sorry for being a noob but I am not getting any output for cat
/var/log/usb_modeswitch_* , even after enabling and disabling it a couple of
times. The output always says that 'no such file or directory'

the other output is:

grep usb_modeswitch /var/log/syslog

Aug 29 11:37:56 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 11:38:02 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 12:16:01 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 12:16:07 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 13:46:27 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 13:46:32 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 13:51:37 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 13:51:43 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 14:43:49 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 14:43:55 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 14:47:45 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 14:47:50 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 15:00:57 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 15:01:02 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 16:52:00 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 16:52:05 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:27:56 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:28:01 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:48:45 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:48:51 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:50:13 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 19:50:18 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 20:17:11 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 20:17:16 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 20:34:23 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 29 20:34:28 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 30 00:06:27 nitesh-laptop usb_modeswitch: switching 12d1:1446 (HUA�WEI
TECHNOLOGIES: HUAWEI Mobile)
Aug 30 00:06:33 nitesh-laptop usb_modeswitch: switched to 12d1:140b (HU...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 161+git20100827-1

---------------
udev (161+git20100827-1) maverick; urgency=low

  * Merge fixes from trunk:
    - keymap: Fix Acer TravelMate 4720 (LP: #569815)
    - gudev: fix crash if netlink is not available (LP: #581527)
    - udev(7) manpage: Fix description of $attr (LP: #348513)
  * debian/changelog: Fix bug reference in previous upload.
  * debian/udev.{pre,post}inst: Remove pre-lucid upgrade code.
  * debian/udev.postinst: Drop obsolete /lib/udev/devices/sndstat symlink, OSS
    has gone from our kernels ages ago. (LP: #605443)
  * debian/udev.postinst, create_devices(): Drop devices which are handled by
    static_dev_create_links().
  * debian/udev.postinst, create_devices(): Drop devices which are handled by
    devtmpfs.
  * debian/rules: Work around gtk-doc not being able to work in a separate
    build tree; debian/rules prep already fixes $srcdir→$builddir, so copy
    the relevant source files into the build tree so that gtk-doc has
    something to scan for. (LP: #519670)
  * Add debian/local/hotplug.functions: Provides some helper functions which
    udev callouts can use. This is being used by usb-modeswitch, alsa, and
    other Debian packages. Copied from current udev sid package. (LP: #625110)
 -- Martin Pitt <email address hidden> Mon, 30 Aug 2010 11:21:43 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released
yu2 (shecoyu2) on 2010-09-06
Changed in udev (Ubuntu Maverick):
status: Fix Released → Fix Committed

There's no explanation for why the status of this bug was changed from Fix Released back to Fix Committed. Re-setting back to Fix Released.

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers